"use strict";

const either = require("@validatem/either");

module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	const isPossiblyRemoteField = require("./is-possibly-remote-field")(operations);

	return either([
		isObjectType("sqlExpression"),
		isObjectType("aggregrateFunction"),
		isObjectType("valueFrom"),
		isObjectType("literalValue"),
		isPossiblyRemoteField
	]);
};
